Detach Security Group
Detaches one or more security groups from the load balancer's underlying VM. The vm_id path parameter is the load balancer's node_detail.vm_id.
POST
/api/v1/security_group/{vm_id}/detach/Path parameters
vm_idPathintegerrequiredThe
vm_idfield from thenode_detailobject in the List Load Balancers response.- required
- must be a valid VM ID
example23456
Query parameters
project_idQueryintegerrequiredIdentifier of the project to scope the request to. Required integer project ID.
- required
- must be a valid integer project ID
example{{project_id}}apikeyQuerystringrequiredAPI key used to authenticate the request
- required
- non-empty string
example{{api_key}}locationQuerystringrequiredRegion of the load balancer.
- must be a non-empty string
example{{location}}
Request body
application/json
IDs of the security groups to detach from the load balancer's VM.
- required
- at least one entry
Responses
200Successful response
example
200example
Security Groups Detached Successfully